---
lang: en
title: 'API docs: core.application._constructor_'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.core.application._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/core](./core.md) &gt; [Application](./core.application.md) &gt; [(constructor)](./core.application._constructor_.md)

## Application.(constructor)

Create an application with the given parent context

<b>Signature:</b>

```typescript
constructor(parent: Context);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  parent | <code>Context</code> | Parent context |


